<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.AllowancesPeopleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="allowancesPeopleResultMap" type="org.springblade.person.entity.AllowancesPeople">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="name" property="name"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="parent_id" property="parentId"/>
        <result column="family_population" property="familyPopulation"/>
        <result column="guarantee_population" property="guaranteePopulation"/>
        <result column="low_guarantee_code" property="lowGuaranteeCode"/>
        <result column="self_care_ability" property="selfCareAbility"/>
        <result column="subsidy_amount" property="subsidyAmount"/>
        <result column="issuing_time" property="issuingTime"/>
        <result column="emergency_contact" property="emergencyContact"/>
        <result column="emergency_contact_number" property="emergencyContactNumber"/>
        <result column="disability" property="disability"/>
        <result column="remark" property="remark"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectAllowancesPeoplePage" resultMap="allowancesPeopleResultMap">
        select * from personnel_allowances_people where is_deleted = 0
    </select>

</mapper>
